Scilab Function

xbasimp - send graphics to a Postscript printer or in a file

### Calling Sequence

  `xbasimp(win_num,[filen,printer])`

### Parameters

- `win_num` : integer scalar or vector
- `filen` : string, Postscript file name (default value is "file"). The window number is appended to `filen`.
- `printer` : string, printer name. If `printer` is present or if there is only one argument in the calling sequence, the created file is printed on printer `printer`.

### Description

`xbasimp` sends the recorded graphics of the window `win_num` into the Postscript file `filen` and prints the Postscript file with the command `Blpr`. This function works only if the selected driver is `"Rec"`.

If `win_num` is a vector, several files are generated, one for each selected window (with names `filenxx`), and the files are printed on a unique page with the command `Blpr`.

The window number is appended to `filen`.

### See Also

`printing` `xs2fig` `xs2gif` `xs2ppm`